VERSION 5.00
Begin VB.Form ProgramSetup 
   Caption         =   "PicLog Setup"
   ClientHeight    =   3060
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4050
   Icon            =   "Setup.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3060
   ScaleWidth      =   4050
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox DisplayWS 
      Caption         =   "Check2"
      Height          =   195
      Left            =   2025
      TabIndex        =   19
      Top             =   1980
      Width           =   195
   End
   Begin VB.CheckBox DisplayRPM 
      Caption         =   "Check1"
      Height          =   195
      Left            =   2025
      TabIndex        =   18
      Top             =   1710
      Width           =   195
   End
   Begin VB.TextBox WSUnits 
      Height          =   285
      Left            =   2025
      MaxLength       =   10
      TabIndex        =   16
      Text            =   "Text1"
      Top             =   2250
      Width           =   735
   End
   Begin VB.CheckBox LogOn 
      Caption         =   "Check1"
      Height          =   240
      Left            =   2025
      TabIndex        =   10
      Top             =   1395
      Width           =   240
   End
   Begin VB.TextBox LogDelay 
      Height          =   285
      Left            =   2025
      TabIndex        =   9
      Text            =   "Text1"
      Top             =   1035
      Width           =   330
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Save Setings"
      Height          =   375
      Left            =   2610
      TabIndex        =   8
      Top             =   2610
      Width           =   1275
   End
   Begin VB.CheckBox SaveExcel 
      Caption         =   "Check2"
      Height          =   195
      Left            =   2025
      TabIndex        =   5
      Top             =   765
      Width           =   240
   End
   Begin VB.TextBox PortNumber 
      Height          =   285
      Left            =   2025
      TabIndex        =   3
      Text            =   "Text1"
      Top             =   90
      Width           =   330
   End
   Begin VB.CheckBox Savehtml 
      Caption         =   "Check1"
      Height          =   240
      Left            =   2025
      TabIndex        =   2
      Top             =   450
      Width           =   240
   End
   Begin VB.Label Label11 
      Caption         =   "Wind Speed Units"
      Height          =   240
      Left            =   45
      TabIndex        =   17
      Top             =   2295
      Width           =   1995
   End
   Begin VB.Label Label10 
      Caption         =   "Display Wind Speed?"
      Height          =   285
      Left            =   45
      TabIndex        =   15
      Top             =   1980
      Width           =   1680
   End
   Begin VB.Label Label9 
      Caption         =   "Display RPM?"
      Height          =   195
      Left            =   45
      TabIndex        =   14
      Top             =   1710
      Width           =   1635
   End
   Begin VB.Label Label6 
      Caption         =   "Default Logging Interval"
      Height          =   240
      Left            =   45
      TabIndex        =   13
      Top             =   1080
      Width           =   1815
   End
   Begin VB.Label Label7 
      Caption         =   "Start Logger Automatically?"
      Height          =   195
      Left            =   45
      TabIndex        =   12
      Top             =   1440
      Width           =   1995
   End
   Begin VB.Label Label8 
      Caption         =   "Seconds ( 10 - 600 )"
      Height          =   240
      Left            =   2385
      TabIndex        =   11
      Top             =   1080
      Width           =   1725
   End
   Begin VB.Label Label5 
      Caption         =   "Saved to /Excel folder"
      Height          =   195
      Left            =   2385
      TabIndex        =   7
      Top             =   765
      Width           =   2085
   End
   Begin VB.Label Label4 
      Caption         =   "Saved to /html folder"
      Height          =   195
      Left            =   2385
      TabIndex        =   6
      Top             =   450
      Width           =   2310
   End
   Begin VB.Label Label3 
      Caption         =   "Save Excel File?"
      Height          =   240
      Left            =   45
      TabIndex        =   4
      Top             =   765
      Width           =   1455
   End
   Begin VB.Label Label2 
      Caption         =   "Save HTML page?"
      Height          =   240
      Left            =   45
      TabIndex        =   1
      Top             =   450
      Width           =   1590
   End
   Begin VB.Label Label1 
      Caption         =   "Com port"
      Height          =   240
      Left            =   45
      TabIndex        =   0
      Top             =   135
      Width           =   690
   End
End
Attribute VB_Name = "ProgramSetup"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()

If IsNumeric(PortNumber.Text) Then
    temp = "Program Config File" & vbCrLf & vbCrLf
    temp = temp & "<Port>" & PortNumber.Text & "</Port>" & vbCrLf
    temp = temp & "<Savehtml>" & Savehtml.Value & "</Savehtml>" & vbCrLf
    temp = temp & "<SaveExcel>" & SaveExcel.Value & "</SaveExcel>" & vbCrLf
    temp = temp & "<LogDelay>" & LogDelay.Text & "</LogDelay>" & vbCrLf
    temp = temp & "<LogOn>" & LogOn.Value & "</LogOn>" & vbCrLf
    temp = temp & "<DisplayRPM>" & DisplayRPM.Value & "</DisplayRPM>" & vbCrLf
    temp = temp & "<DisplayWS>" & DisplayWS.Value & "</DisplayWS>" & vbCrLf
    temp = temp & "<WSUnits>" & WSUnits.Text & "</WSUnits>" & vbCrLf
    Open App.Path & "/prog.cfg" For Output As #1
        Print #1, temp
    Close #1
    Unload Me
Else
    MsgBox "There is a bad number for Port Number. Must be between 1 and 8 ( 1 or 2 most common )"
End If





End Sub

Private Sub Form_Load()
    Open App.Path & "/prog.cfg" For Input As #1
        temp = Input(LOF(1), 1)
    Close #1
    PortNumber.Text = Mid(temp, InStr(temp, "<Port>") + 6, InStr(temp, "</Port>") - InStr(temp, "<Port>") - 6)
    Savehtml.Value = Mid(temp, InStr(temp, "<Savehtml>") + 10, InStr(temp, "</Savehtml>") - InStr(temp, "<Savehtml>") - 10)
    SaveExcel.Value = Mid(temp, InStr(temp, "<SaveExcel>") + 11, InStr(temp, "</SaveExcel>") - InStr(temp, "<SaveExcel>") - 11)
    LogDelay.Text = Mid(temp, InStr(temp, "<LogDelay>") + 10, InStr(temp, "</LogDelay>") - InStr(temp, "<LogDelay>") - 10)
    LogOn.Value = Mid(temp, InStr(temp, "<LogOn>") + 7, InStr(temp, "</LogOn>") - InStr(temp, "<LogOn>") - 7)
    DisplayRPM.Value = Mid(temp, InStr(temp, "<DisplayRPM>") + 12, InStr(temp, "</DisplayRPM>") - InStr(temp, "<DisplayRPM>") - 12)
    DisplayWS.Value = Mid(temp, InStr(temp, "<DisplayWS>") + 11, InStr(temp, "</DisplayWS>") - InStr(temp, "<DisplayWS>") - 11)
    WSUnits.Text = Mid(temp, InStr(temp, "<WSUnits>") + 9, InStr(temp, "</WSUnits>") - InStr(temp, "<WSUnits>") - 9)
End Sub
